## libclass-spiffy-perl 0.15

=== debian/changelog ===
libclass-spiffy-perl (0.15-4) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Add missing build dependency on libmodule-install-perl.

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Aug 2025 17:06:17 +0200

libclass-spiffy-perl (0.15-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 12:28:25 +0100

libclass-spiffy-perl (0.15-3) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * Remove Florian Ragwitz from Uploaders (Closes: #523232)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
  * Use source format 3.0 (quilt).
  * Use tiny debian/rules with debhelper 8.
  * Make build-dep on perl unversioned.
  * Convert debian/copyright to proposed machine-readable format.
  * Bump Standards-Version to 3.9.2.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 16 Sep 2011 22:45:56 +0200

libclass-spiffy-perl (0.15-2) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
    <rafl@debian.org>); Florian Ragwitz <rafl@debian.org> moved to
    Uploaders.
  * Add debian/watch.

  [ Damyan Ivanov ]
  * trim debian/rules with debhelper 7. adjust build-dependencies accordingly
    - do not ship redundant README
    - install upstream changelog
  * debian/copyright:
    + convert to UTF-8
    + use narrower upstream URL
    + remove mention of Brian Ingerson as copyright holder as he is not present
      anywhere in the sources
  * Bump Standards-Version to 3.8.0 (no changes)
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Sun, 24 Aug 2008 09:38:06 +0300

libclass-spiffy-perl (0.15-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove /usr/share/perl5 only if it exists (needed to avoid FTBFS
    after Perl 5.10 transition) (Closes: #479912)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 26 May 2008 23:44:43 -0500

libclass-spiffy-perl (0.15-1) unstable; urgency=low

  * New upstream release.
  * Bump up Standards-Version to 3.7.2 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Thu, 10 Aug 2006 04:00:09 +0200

libclass-spiffy-perl (0.12-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Tue, 24 Jan 2006 02:13:08 +0100
