=== debian/watch ===
version=4
https://metacpan.org/release/Class-Spiffy  .+/Class-Spiffy-v?@ANY_VERSION@@ARCHIVE_EXT@$
